Skip to main content
GET
/
genai
/
v1beta
/
files
/
{file_id}
Error
A valid request URL is required to generate request examples
{
  "name": "<string>",
  "displayName": "<string>",
  "mimeType": "<string>",
  "sizeBytes": "<string>",
  "createTime": "2023-11-07T05:31:56Z",
  "updateTime": "2023-11-07T05:31:56Z",
  "expirationTime": "2023-11-07T05:31:56Z",
  "sha256Hash": "<string>",
  "uri": "<string>",
  "error": {
    "code": 123,
    "message": "<string>"
  },
  "videoMetadata": {
    "videoDuration": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

file_id
string
required

File ID

Response

Successful response

name
string

File resource name (e.g., files/abc123)

displayName
string
mimeType
string
sizeBytes
string

Size in bytes (returned as string by Gemini API)

createTime
string<date-time>
updateTime
string<date-time>
expirationTime
string<date-time>
sha256Hash
string
uri
string

URI for accessing the file content

state
enum<string>
Available options:
STATE_UNSPECIFIED,
PROCESSING,
ACTIVE,
FAILED
error
object
videoMetadata
object